Bug 188978 - [patch] Mk/bsd.gnome.mk: remove USE_GNOME=lthack
[patch] Mk/bsd.gnome.mk: remove USE_GNOME=lthack
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on: 188972 188975
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-24 23:20 UTC by Tijl Coosemans
Modified: 2014-09-17 08:37 UTC (History)
0 users

See Also:


Attachments
libxslt.patch (3.32 KB, patch)
2014-04-24 23:20 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2014-04-24 23:20:00 UTC
This patch depends on ports/188972 and ports/188975.

The attached patch removes USE_GNOME=lthack and USE_MATE=lthack.
All ports that used it have been converted to USES=libtool.

The patch removes the last occurance from textproc/py-libxslt and
converts it together with textproc/libxslt to USES=libtool.

Redports: https://redports.org/buildarchive/20140424115801-15180/
Comment 1 Edwin Groothuis freebsd_committer 2014-04-24 23:20:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

bsd.gnome.mk is gnome territory (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-04-25 11:25:29 UTC
Author: bapt
Date: Fri Apr 25 10:25:23 2014
New Revision: 352103
URL: http://svnweb.freebsd.org/changeset/ports/352103
QAT: https://qat.redports.org/buildarchive/r352103/

Log:
  Switch to USES=libtool
  Strip binaries
  
  PR:		ports/188978
  Submitted by:	tijl
  Approved by:	kwm (gnome)

Modified:
  head/textproc/libxslt/Makefile
  head/textproc/py-libxslt/Makefile

Modified: head/textproc/libxslt/Makefile
==============================================================================
--- head/textproc/libxslt/Makefile	Fri Apr 25 10:09:46 2014	(r352102)
+++ head/textproc/libxslt/Makefile	Fri Apr 25 10:25:23 2014	(r352103)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libxslt
 PORTVERSION=	1.1.28
-PORTREVISION?=	2
+PORTREVISION?=	3
 CATEGORIES?=	textproc gnome
 MASTER_SITES=	ftp://xmlsoft.org/libxml2/ \
 		http://xmlsoft.org/sources/ \
@@ -15,10 +15,11 @@ COMMENT?=	The XSLT C library for GNOME
 
 .if !defined(REFERENCE_PORT)
 
-USES=		gmake
+USES=		gmake libtool:oldver pathfix
 GNU_CONFIGURE=	yes
+INSTALL_TARGET=	install-strip
 USE_LDCONFIG=	yes
-USE_GNOME?=	gnomehack libxml2
+USE_GNOME?=	libxml2
 CONFIGURE_ARGS?=--with-html-dir=${PREFIX}/share/doc \
 		--without-python
 CPPFLAGS+=	-I${LOCALBASE}/include
@@ -36,17 +37,9 @@ MEM_DEBUG_DESC=	Enable memory debugging
 CRYPTO_DESC=	Enable crypto support for exslt
 .endif
 
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MMEM_DEBUG}
-CONFIGURE_ARGS+=	--with-mem-debug
-.endif
-
-.if ${PORT_OPTIONS:MCRYPTO}
-LIB_DEPENDS+=	gcrypt:${PORTSDIR}/security/libgcrypt
-.else
-CONFIGURE_ARGS+=--without-crypto
-.endif
+MEM_DEBUG_CONFIGURE_ON=	--with-mem-debug
+CRYPTO_CONFIGURE_WITH=	crypto
+CRYPTO_LIB_DEPENDS=	libgcrypt.so:${PORTSDIR}/security/libgcrypt
 
 post-patch:
 	@${REINPLACE_CMD} -e '/^install-data-am:/ s|install-data-local||' \

Modified: head/textproc/py-libxslt/Makefile
==============================================================================
--- head/textproc/py-libxslt/Makefile	Fri Apr 25 10:09:46 2014	(r352102)
+++ head/textproc/py-libxslt/Makefile	Fri Apr 25 10:25:23 2014	(r352103)
@@ -14,9 +14,8 @@ DESCR=		${.CURDIR}/pkg-descr
 PLIST=		${.CURDIR}/pkg-plist
 
 USES=		pathfix
-USE_GNOME=	lthack libxslt
+USE_GNOME=	libxslt
 USE_PYTHON=	yes
-USE_AUTOTOOLS=	libtool
 CONFIGURE_ARGS=	--with-html-dir=${PREFIX}/share/doc \
 		--with-python=${PYTHON_CMD}
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 linimon 2014-04-26 02:21:33 UTC
----- Forwarded message from Baptiste Daroussin <bapt@FreeBSD.org> -----

Date: Fri, 25 Apr 2014 12:27:26 +0200
From: Baptiste Daroussin <bapt@FreeBSD.org>
To: freebsd-ports-bugs@FreeBSD.org, gnome@FreeBSD.org
Subject: Re: ports/188978: [patch] Mk/bsd.gnome.mk: remove USE_GNOME=lthack
User-Agent: Mutt/1.5.23 (2014-03-12)

libxslt has part has been committed
here is an updated version of the patch that removes the ltasneededhack as well:
it is not in use anymore.

regards,
Bapt

Index: Mk/bsd.gnome.mk
===================================================================
--- Mk/bsd.gnome.mk	(révision 352085)
+++ Mk/bsd.gnome.mk	(copie de travail)
@@ -68,7 +68,7 @@
 #
 
 # non-version specific components
-_USE_GNOME_ALL= esound intlhack intltool introspection ltasneededhack lthack \
+_USE_GNOME_ALL= esound intlhack intltool introspection \
 		ltverhack gnomehack referencehack gnomehier gnomemimedata \
 		gnomeprefix
 
@@ -116,9 +116,6 @@
 referencehack_PRE_PATCH=	${FIND} ${WRKSRC} -name "Makefile.in" -type f | ${XARGS} ${REINPLACE_CMD} -e \
 				"s|test \"\$$\$$installfiles\" = '\$$(srcdir)/html/\*'|:|"
 
-lthack_PRE_PATCH=	${FIND} ${WRKSRC} -name "configure" -type f | ${XARGS} ${REINPLACE_CMD} -e \
-				'/^LIBTOOL_DEPS="$$ac_aux_dir\/ltmain.sh"$$/s|$$|; $$ac_aux_dir/ltconfig $$LIBTOOL_DEPS;|'
-
 GNOME_MTREE_FILE?=		${LOCALBASE}/etc/mtree/BSD.gnome.dist
 gnomehier_DETECT=	${GNOME_MTREE_FILE}
 gnomehier_RUN_DEPENDS=	${gnomehier_DETECT}:${PORTSDIR}/misc/gnomehier
@@ -704,10 +701,6 @@
 		 /^LIBTOOL=/s|$$(top_builddir)/libtool|${WRKDIR}/gnome-libtool|g' \
 		${PATCH_WRKSRC}/$$file; \
 	done;
-.else
-.  if ${USE_GNOME:Mltasneededhack}!=""
-IGNORE=	cannot install: ${PORTNAME} uses the ltasneededhack GNOME component but does not use libtool
-.  endif
 .endif
 
 .if ${USE_GNOME:Mltverhack\:*:C/^[^:]+:([^:]+).*/\1/}==""
@@ -736,15 +729,6 @@
 		fi; \
 	done
 
-ltasneededhack_PATCH_DEPENDS=${LIBTOOL_DEPENDS}
-ltasneededhack_PRE_PATCH=	\
-	if [ -f ${WRKDIR}/gnome-libtool ]; then \
-		${REINPLACE_CMD} -e \
-		'/^archive_cmds=/s/-shared/-shared -Wl,--as-needed/ ; \
-		 /^archive_expsym_cmds=/s/-shared/-shared -Wl,--as-needed/' \
-		${WRKDIR}/gnome-libtool; \
-	fi
-
 # Set USE_CSTD for all ports that depend on glib12
 .if defined(_USE_GNOME) && !empty(_USE_GNOME:Mglib12)
 USE_CSTD=	gnu89
@@ -754,10 +738,6 @@
 # exist in ${_USE_GNOME} and set variables accordingly
 .ifdef _USE_GNOME
 
-. if ${USE_GNOME:Mltasneededhack}!= ""
-_GNOME_NEED_LIBTOOL=1
-. endif
-
 # this is splitted out from the above entry because fmake trows a fit otherwise
 . if defined(USE_AUTOTOOLS) && ${USE_AUTOTOOLS:Mlibtool*}
 .  if ${USE_GNOME:Mltverhack*}!= ""
Index: Mk/bsd.mate.mk
===================================================================
--- Mk/bsd.mate.mk	(révision 352085)
+++ Mk/bsd.mate.mk	(copie de travail)
@@ -42,7 +42,7 @@
 #
 
 # non-version specific components. Do not use :build/:run on those.
-_USE_MATE_ALL=	autogen intlhack intltool ltasneededhack lthack ltverhack
+_USE_MATE_ALL=	autogen intlhack intltool ltverhack
 # These *hack* tools are the same as in bsd.gnome.mk but are run in
 # pre-configure because pre-patch is when we run autogen.sh.
 
@@ -57,9 +57,6 @@
 
 SCROLLKEEPER_DIR=	/var/db/rarian
 
-lthack_PRE_PATCH=	${FIND} ${WRKSRC} -name "configure" -type f | ${XARGS} ${REINPLACE_CMD} -e \
-				'/^LIBTOOL_DEPS="$$ac_aux_dir\/ltmain.sh"$$/s|$$|; $$ac_aux_dir/ltconfig $$LIBTOOL_DEPS;|'
-
 caja_DETECT=		${LOCALBASE}/libdata/pkgconfig/libcaja-extension.pc
 caja_BUILD_DEPENDS=	${caja_DETECT}:${PORTSDIR}/x11-fm/mate-file-manager
 caja_LIB_DEPENDS=	libcaja-extension.so:${PORTSDIR}/x11-fm/mate-file-manager
@@ -188,10 +185,6 @@
 								 /^LIBTOOL=/s|$$(top_builddir)/libtool|${WRKDIR}/mate-libtool|g' \
 								${PATCH_WRKSRC}/$$file; \
 						done;
-.else
-.  if ${USE_MATE:Mltverhack*}!="" || ${USE_MATE:Mltasneededhack}!=""
-IGNORE=	cannot install: ${PORTNAME} uses the ltverhack and/or ltasneededhack MATE components but does not use libtool
-.  endif
 .endif
 
 .if ${USE_MATE:Mltverhack\:*:C/^[^:]+:([^:]+).*/\1/}==""
@@ -209,15 +202,6 @@
 							fi; \
 						done
 
-ltasneededhack_PATCH_DEPENDS=${LIBTOOL_DEPENDS}
-ltasneededhack_PRE_PATCH=	if [ -f ${WRKDIR}/mate-libtool ]; then \
-								${REINPLACE_CMD} -e \
-									'/^archive_cmds=/s/-shared/-shared -Wl,--as-needed/ ; \
-									/^archive_expsym_cmds=/s/-shared/-shared -Wl,--as-needed/' \
-									${WRKDIR}/mate-libtool; \
-							fi
-
-
 # Comparing between USE_MATE and _USE_MATE_ALL to make sure the component
 # exists in _USE_MATE_ALL. If it does not exist then give an error about it.
 #. for component in ${USE_MATE:O:u:C/^([^:]+).*/\1/}
@@ -228,7 +212,7 @@
 .  endif
 . endfor
 
-. if ${USE_MATE:Mltverhack*}!= "" || ${USE_MATE:Mltasneededhack}!= ""
+. if ${USE_MATE:Mltverhack*}!= ""
 MATE_PRE_PATCH+=	${lthacks_PRE_PATCH}
 CONFIGURE_ENV+=		${lthacks_CONFIGURE_ENV}
 . endif


----- End forwarded message -----
Comment 4 Tijl Coosemans freebsd_committer 2014-04-26 15:33:28 UTC
On Fri, 25 Apr 2014 12:27:26 +0200 Baptiste Daroussin wrote:
> libxslt has part has been committed
> here is an updated version of the patch that removes the ltasneededhack
> as well: it is not in use anymore.

Would it be ok to start converting ltverhack as well?
This is the list of ports.  Most are maintained by gnome@.

accessibility/atk/Makefile
accessibility/gnome-mag/Makefile
audio/libcanberra/Makefile
audio/mate-media/Makefile
audio/pulseaudio/Makefile
deskutils/glabels/Makefile
deskutils/gnome-utils/Makefile
deskutils/gnote/Makefile
deskutils/mate-character-map/Makefile
deskutils/mate-utils/Makefile
devel/ORBit2/Makefile
devel/dbus-glib/Makefile
devel/gconf2/Makefile
devel/glib20/Makefile
devel/gobject-introspection/Makefile
devel/goffice/Makefile
devel/json-glib/Makefile
devel/libgsf/Makefile
devel/libgtop/Makefile
devel/libltdl/Makefile
devel/libnotify/Makefile
devel/sdl20/Makefile
french/verbiste/Makefile
graphics/gdk-pixbuf2/Makefile
graphics/gimp-app/Makefile
graphics/goocanvas2/Makefile
graphics/gtk-update-icon-cache/Makefile
graphics/libgphoto2/Makefile
graphics/librsvg2/Makefile
graphics/swfdec/Makefile
mail/gmime26/Makefile
multimedia/clutter-gst/Makefile
net-im/farsight2/Makefile
net-im/folks/Makefile
net-im/libnice/Makefile
net-im/libtelepathy/Makefile
net-im/loudmouth/Makefile
net-im/telepathy-farsight/Makefile
net-im/telepathy-glib/Makefile
net-im/telepathy-logger/Makefile
net-im/telepathy-mission-control/Makefile
net/avahi-app/Makefile
net/libmateweather/Makefile
print/harfbuzz/Makefile
print/libgnomecups/Makefile
print/libgnomeprint/Makefile
security/gnutls/Makefile
security/gnutls3/Makefile
security/gpgme/Makefile
security/libassuan/Makefile
security/libgnome-keyring/Makefile
security/libgpg-error/Makefile
security/libmatekeyring/Makefile
security/libp11/Makefile
security/mate-keyring/Makefile
sysutils/mate-control-center/Makefile
sysutils/mate-polkit/Makefile
textproc/enchant/Makefile
textproc/exempi/Makefile
textproc/libcroco/Makefile
www/neon29/Makefile
www/webkit-gtk2/Makefile
www/webkit-gtk3/Makefile
x11-fonts/fontconfig/Makefile
x11-toolkits/gtk20/Makefile
x11-toolkits/gtk30/Makefile
x11-toolkits/gtkmm24/Makefile
x11-toolkits/libgnomeui/Makefile
x11-toolkits/libmatewnck/Makefile
x11-toolkits/libwnck/Makefile
x11-toolkits/unique/Makefile
x11-toolkits/vte3/Makefile
x11-wm/mate-window-manager/Makefile
x11/babl/Makefile
x11/gnome-menus/Makefile
x11/gnome-shell/Makefile
x11/mate-desktop/Makefile
x11/mate-menus/Makefile
x11/mate-panel/Makefile
Comment 5 kwm 2014-04-26 20:49:04 UTC
On 26-4-2014 16:33, Tijl Coosemans wrote:
> On Fri, 25 Apr 2014 12:27:26 +0200 Baptiste Daroussin wrote:
>> libxslt has part has been committed
>> here is an updated version of the patch that removes the ltasneededhack
>> as well: it is not in use anymore.
> Would it be ok to start converting ltverhack as well?
> This is the list of ports.  Most are maintained by gnome@.

Most of these are already fixed in our staging  area.
Comment 6 commit-hook freebsd_committer 2014-09-17 07:49:19 UTC
A commit references this bug:

Author: tijl
Date: Wed Sep 17 07:48:24 UTC 2014
New revision: 368357
URL: http://svnweb.freebsd.org/changeset/ports/368357

Log:
  - Remove last uses of USE_AUTOTOOLS=libtool from bsd.gnome.mk
    (lthack, ltasneededhack and ltverhack) [1]
  - Remove support for USE_AUTOTOOLS=libtool and USE_AUTOTOOLS=libltdl

  PR:		188978 [1]
  Approved by:	portmgr (bapt)

Changes:
  head/CHANGES
  head/Mk/bsd.autotools.mk
  head/Mk/bsd.gnome.mk
  head/Mk/bsd.sanity.mk